## ros-iron-cartographer-ros-msgs 2.0.9001

=== CMakeLists.txt ===
# Copyright 2016 The Cartographer Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(cartographer_ros_msgs)

# Default to C++14.
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # We don't use add_compile_options with pedantic in message packages
  # because the Python C extensions don't comply with it.
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

find_package(builtin_interfaces REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/BagfileProgress.msg"
  "msg/HistogramBucket.msg"
  "msg/LandmarkEntry.msg"
  "msg/LandmarkList.msg"
  "msg/MetricFamily.msg"
  "msg/MetricLabel.msg"
  "msg/Metric.msg"
  "msg/StatusCode.msg"
  "msg/StatusResponse.msg"
  "msg/SubmapEntry.msg"
  "msg/SubmapList.msg"
  "msg/SubmapTexture.msg"
  "msg/TrajectoryStates.msg"
)

set(srv_files
  "srv/FinishTrajectory.srv"
  "srv/GetTrajectoryStates.srv"
  "srv/ReadMetrics.srv"
  "srv/StartTrajectory.srv"
  "srv/TrajectoryQuery.srv"
  "srv/SubmapQuery.srv"
  "srv/WriteState.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces geometry_msgs std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-iron-cartographer-ros-msgs (2.0.9001-2jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-cartographer-ros-msgs (2.0.9000-2jammy) jammy; urgency=high

  * Update to latest upstream, as well as new port to ROS 2.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 16:00:00 -0000

ros-iron-cartographer-ros-msgs (0.3.0-2jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.2.0...0.3.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 22 Nov 2017 16:00:00 -0000

ros-iron-cartographer-ros-msgs (0.2.0-2jammy) jammy; urgency=high

  * https://github.com/googlecartographer/cartographer_ros/compare/0.1.0...0.2.0

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 18 Jun 2017 16:00:00 -0000

ros-iron-cartographer-ros-msgs (0.1.0-2jammy) jammy; urgency=high

  * First unstable development release

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 May 2017 16:00:00 -0000

=== debian/control ===
Source: ros-iron-cartographer-ros-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rosidl-default-generators, ros-iron-std-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/cartographer-project/cartographer_ros
Standards-Version: 3.9.2

Package: ros-iron-cartographer-ros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-builtin-interfaces, ros-iron-geometry-msgs, ros-iron-rosidl-default-runtime, ros-iron-std-msgs, ros-iron-ros-workspace
Description: ROS messages for the cartographer_ros package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-cartographer-ros-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
